<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
    <!--Heading-->
    <head th:fragment="head">
        <meta charset="UTF-8">
        <meta name="viewport"
              content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title th:text="${title}"></title>
        <link rel="stylesheet" th:href="@{/css/bootstrap.css}">
        <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.13/css/all.css"
              integrity="sha384-DNOHZ68U8hZfKXOrtjWvjxusGo9WQnrNx2sqG0tfsghAvtVlRW3tvkXWZh58N9jp" crossorigin="anonymous">
        <script
                src="https://code.jquery.com/jquery-3.3.1.min.js"
                integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
                crossorigin="anonymous"></script>
        <script th:src="@{/js/bootstrap.js}"></script>
    </head>

    <!--Header-->
    <nav th:fragment="header" class="navbar navbar-light bg-light">
        <div class="col-md-3">
            <a class="navbar-brand" href="#"><i class="fab fa-playstation fa-4x"></i></a>
            <span class="text-muted">Site Slogan</span>
        </div>
        <div class="col-md-7">
            <form class="row">
                <div class="col-md-8">
                    <input class="form-control" type="search" placeholder="Search" aria-label="Search">
                </div>
                <div class="col-md-4">
                    <button class="btn btn-outline-success" type="submit">Search</button>
                </div>
            </form>
        </div>
        <div class="col-md-2 mt-3">
            <img th:src="@{/img/avatar.png}" alt=""
                 class="img-thumbnail rounded-circle w-25 mr-2 float-left">
            <div class="mt-3">
                <strong><span sec:authentication="name"></span></strong>
                <span sec:authentication="principal.authorities" style="display:none"></span>
                <form action="#" th:action="@{/logout}" method="post">
                    <button type="submit">Logout</button>
                </form>
            </div>
        </div>
    </nav>

    <!--Menu-->
    <div th:fragment="menu" class="col-2">
        <div class="nav flex-column nav-tabs">
            <a class="nav-link" href="/product/list">Home</a>
            <a class="nav-link" href="/product/list">Product Manager</a>
            <a class="nav-link" href="/order/list">Order Manager</a>
            <a class="nav-link" href="/user/list">User Manager</a>
            <a class="nav-link" href="/about">About Us</a>
        </div>
    </div>

    <!--Footer-->
    <footer th:fragment="footer" class="container-fluid mt-3 mb-3">
        <p class="text-center">Copyright @2019</p>
    </footer>
</html>